#
# Spec file for Oracle Storage Mingration Daemon
#

Summary: Binary, Library for Oracle Storage Migration
Name: osmd
Version: 0.9
Release: 23%{?dist}
Group:	System Environment/Base
License: GPLv2
Source0: %{name}-%{version}.tar.bz2
Packager: Srinivas Eeda <srinivas.eeda@oracle.com>
Vendor: Oracle America
BuildRequires: glibc glib2-devel

BuildRoot: %{name}-%{version}

%description -n osmd
osmd contains binary, init scripts and shared library

%package devel
Summary: Hearder files for Oracle Storage Migration library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files for Oracle Storage Migration library

%package test
Summary: Storage Migration Test scripts
Version: 0.9
Release: 11%{?dist}

%description test
Storage Migration Test files

%prep
%setup -n osmd-%{version}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mkdir -p $RPM_BUILD_ROOT/usr/lib64/
mkdir -p $RPM_BUILD_ROOT/usr/include/
mkdir -p $RPM_BUILD_ROOT/opt/osmd-test/
mkdir -p $RPM_BUILD_ROOT/opt/osmd-test/bin
mkdir -p $RPM_BUILD_ROOT/opt/osmd-test/scripts
mkdir -p $RPM_BUILD_ROOT/opt/osmd-test/utils

install --mode=755 util/osmd.init $RPM_BUILD_ROOT/etc/init.d/osmd
install --mode=755 daemon/osmdaemon $RPM_BUILD_ROOT/usr/sbin/
install --mode=755 lib/libosm.so $RPM_BUILD_ROOT/usr/lib64/
install --mode=644 include/osmlib.h $RPM_BUILD_ROOT/usr/include/

install --mode=755 test/osmltest $RPM_BUILD_ROOT/opt/osmd-test/bin/osmltest
install --mode=755 test/osmdtest $RPM_BUILD_ROOT/opt/osmd-test/bin/osmdtest
install --mode=755 test/oftest   $RPM_BUILD_ROOT/opt/osmd-test/bin/oftest
install --mode=755 test/prep.sh $RPM_BUILD_ROOT/opt/osmd-test/prep.sh
install --mode=755 test/testtools.sh $RPM_BUILD_ROOT/opt/osmd-test/testtools.sh
install --mode=755 test/long_regress.sh $RPM_BUILD_ROOT/opt/osmd-test/long_regress.sh
install --mode=755 test/short_regress.sh $RPM_BUILD_ROOT/opt/osmd-test/short_regress.sh
install --mode=755 test/scripts/bidir_big.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bidir_big.sh
install --mode=755 test/scripts/all.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/all.sh
install --mode=755 test/scripts/bidir_zero.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bidir_zero.sh
install --mode=755 test/scripts/bounce.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bounce.sh
install --mode=755 test/scripts/hotbounce.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/hotbounce.sh
install --mode=755 test/scripts/big.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/big.sh
install --mode=755 test/scripts/bidir_hotmig.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bidir_hotmig.sh
install --mode=755 test/scripts/bidir_all_remote.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bidir_all_remote.sh
install --mode=755 test/scripts/multiple_big.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/multiple_big.sh
install --mode=755 test/scripts/hotbounce_remote.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/hotbounce_remote.sh
install --mode=755 test/scripts/bidir_small.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bidir_small.sh
install --mode=755 test/scripts/zero.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/zero.sh
install --mode=755 test/scripts/multiple_bounce.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/multiple_bounce.sh
install --mode=755 test/scripts/bidir_small_remote.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bidir_small_remote.sh
install --mode=755 test/scripts/multiple_hotbounce_remote.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/multiple_hotbounce_remote.sh
install --mode=755 test/scripts/bidir_all.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bidir_all.sh
install --mode=755 test/scripts/hotmig.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/hotmig.sh
install --mode=755 test/scripts/multiple_zero.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/multiple_zero.sh
install --mode=755 test/scripts/multiple_bounce_remote.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/multiple_bounce_remote.sh
install --mode=755 test/scripts/small.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/small.sh
install --mode=755 test/scripts/bidir_big_remote.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bidir_big_remote.sh
install --mode=755 test/scripts/bounce_remote.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bounce_remote.sh
install --mode=755 test/scripts/multiple_hotmig.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/multiple_hotmig.sh
install --mode=755 test/scripts/multiple_small.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/multiple_small.sh
install --mode=755 test/scripts/multiple_all.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/multiple_all.sh
install --mode=755 test/scripts/multiple_hotbounce.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/multiple_hotbounce.sh
install --mode=755 test/scripts/bidir_zero_remote.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bidir_zero_remote.sh
install --mode=755 test/scripts/bidir_hotmig_remote.sh $RPM_BUILD_ROOT/opt/osmd-test/scripts/bidir_hotmig_remote.sh
install --mode=755 test/utils/md5sum.sh $RPM_BUILD_ROOT/opt/osmd-test/utils/md5sum.sh
install --mode=755 test/utils/daemon.sh $RPM_BUILD_ROOT/opt/osmd-test/utils/daemon.sh
install --mode=755 test/utils/create_files.sh $RPM_BUILD_ROOT/opt/osmd-test/utils/create_files.sh
install --mode=755 test/utils/validate.sh $RPM_BUILD_ROOT/opt/osmd-test/utils/validate.sh
install --mode=755 test/utils/hotfile.sh $RPM_BUILD_ROOT/opt/osmd-test/utils/hotfile.sh
install --mode=755 test/README.txt $RPM_BUILD_ROOT/opt/osmd-test/README.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add osmd >/dev/null
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
   /sbin/service osmd stop > /dev/null 2>&1
   /sbin/chkconfig --del osmd
fi
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
/usr/sbin/osmdaemon
/usr/lib64/libosm.so
/etc/init.d/osmd

%files devel
%defattr(-,root,root,-)
/usr/include/osmlib.h

%files test
%defattr(-,root,root,-)
/opt/osmd-test/bin/osmltest
/opt/osmd-test/bin/osmdtest
/opt/osmd-test/bin/oftest
/opt/osmd-test/prep.sh
/opt/osmd-test/testtools.sh
/opt/osmd-test/long_regress.sh
/opt/osmd-test/short_regress.sh
/opt/osmd-test/scripts/bidir_big.sh
/opt/osmd-test/scripts/all.sh
/opt/osmd-test/scripts/bidir_zero.sh
/opt/osmd-test/scripts/bounce.sh
/opt/osmd-test/scripts/hotbounce.sh
/opt/osmd-test/scripts/big.sh
/opt/osmd-test/scripts/bidir_hotmig.sh
/opt/osmd-test/scripts/bidir_all_remote.sh
/opt/osmd-test/scripts/multiple_big.sh
/opt/osmd-test/scripts/hotbounce_remote.sh
/opt/osmd-test/scripts/bidir_small.sh
/opt/osmd-test/scripts/zero.sh
/opt/osmd-test/scripts/multiple_bounce.sh
/opt/osmd-test/scripts/bidir_small_remote.sh
/opt/osmd-test/scripts/multiple_hotbounce_remote.sh
/opt/osmd-test/scripts/bidir_all.sh
/opt/osmd-test/scripts/hotmig.sh
/opt/osmd-test/scripts/multiple_zero.sh
/opt/osmd-test/scripts/multiple_bounce_remote.sh
/opt/osmd-test/scripts/small.sh
/opt/osmd-test/scripts/bidir_big_remote.sh
/opt/osmd-test/scripts/bounce_remote.sh
/opt/osmd-test/scripts/multiple_hotmig.sh
/opt/osmd-test/scripts/multiple_small.sh
/opt/osmd-test/scripts/multiple_all.sh
/opt/osmd-test/scripts/multiple_hotbounce.sh
/opt/osmd-test/scripts/bidir_zero_remote.sh
/opt/osmd-test/scripts/bidir_hotmig_remote.sh
/opt/osmd-test/utils/md5sum.sh
/opt/osmd-test/utils/daemon.sh
/opt/osmd-test/utils/create_files.sh
/opt/osmd-test/utils/validate.sh
/opt/osmd-test/utils/hotfile.sh
/opt/osmd-test/README.txt

%changelog
* Tue May 19 2015 Srinivas Eeda <srinivas.eeda@oracle.com> 0.9-8
- fix test scripts

* Thu May 14 2015 Srinivas Eeda <srinivas.eeda@oracle.com> 0.9-6
- Added GPLv2 license
- Bug fixes
- fixed test code
- create osmd-test rpm

* Thu Apr 30 2015 Srinivas Eeda <srinivas.eeda@oracle.com> 0.9-5
- memory leaks in omsdfile
- close to fclose in osmconfig
- mig_task not found bug (seqno:0)
- update master thread list by listener when master exits
- enable pthread_joins to avoid memory leaks

* Mon Apr 27 2015 Zhigang Wang <zhigang.x.wang@oracle.com> 0.9-4
- generate devel rpm
- fix log level
- fix log file destination

* Fri Apr 17 2015 Srinivas Eeda <srinivas.eeda@oracle.com> 0.9-1
- Oracle Storage Migration beta
